Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 227096 - display and record session key strength and algorithm when communicating via SSL
: display and record session key strength and algorithm when communicating via SSL
[driver: WONTFIX?]
Product: Thunderbird
Classification: Client Software
Component: Message Reader UI (show other bugs)
: unspecified
: x86 Windows 2000
: -- enhancement with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
Depends on:
  Show dependency treegraph
Reported: 2003-11-29 23:53 PST by Ralf Hauser
Modified: 2016-06-17 05:51 PDT (History)
2 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---


Description Ralf Hauser 2003-11-29 23:53:08 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5b) Gecko/20030907
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5b) Gecko/20030907

When sending or receiving a mail via SSL, I want to be able to know with what
protection level this happens:
- at least in the sent folder, it should be possible to see whether it was only
40 bits, or whether it it was better and which algorithm was used

Reproducible: Always

Steps to Reproduce:

Actual Results:  
even more comfortable would be if a user can see configure the mail program such
that it displays the algortithms and key lengths before any sensitive
information leaves my client

Expected Results:  
the "gap-less security trail" RFE same applies also to the inbox

Comment 1 Ralf Hauser 2003-11-30 00:03:21 PST
Re-assigning this RFE since MailNews - Security:General appears to be orphaned

Bug 227097 is the analogous RFE regarding the corresponding certificates
Comment 2 Rob Hudson 2003-12-19 14:02:31 PST
i think that this should be moved to mail/news as it applies to mozilla aswell.
Comment 3 Ralf Hauser 2004-09-30 02:24:56 PDT
see also the corresponding RFE at gnu's JavaMail
Comment 4 Gervase Markham [:gerv] 2005-09-27 01:52:31 PDT
This is an automated message, with ID "auto-resolve01".

This bug has had no comments for a long time. Statistically, we have found that
bug reports that have not been confirmed by a second user after three months are
highly unlikely to be the source of a fix to the code.

While your input is very important to us, our resources are limited and so we
are asking for your help in focussing our efforts. If you can still reproduce
this problem in the latest version of the product (see below for how to obtain a
copy) or, for feature requests, if it's not present in the latest version and
you still believe we should implement it, please visit the URL of this bug
(given at the top of this mail) and add a comment to that effect, giving more
reproduction information if you have it.

If it is not a problem any longer, you need take no action. If this bug is not
changed in any way in the next two weeks, it will be automatically resolved.
Thank you for your help in this matter.

The latest beta releases can be obtained from:
Comment 5 Gervase Markham [:gerv] 2005-10-13 10:22:53 PDT
This bug has been automatically resolved after a period of inactivity (see above
comment). If anyone thinks this is incorrect, they should feel free to reopen it.
Comment 6 (not reading, please use instead) 2007-06-21 15:20:33 PDT
sorry for the spam.  making bugzilla reflect reality as I'm not working on these bugs.  filter on FOOBARCHEESE to remove these in bulk.

Note You need to log in before you can comment on or make changes to this bug.